Skip to main content
GET
/
10dlc
/
enum
/
{endpoint}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const response = await client.messaging10dlc.getEnum('mno');

console.log(response);
[
  "BASIC_ACCOUNT",
  "SMALL_ACCOUNT",
  "MEDIUM_ACCOUNT",
  "LARGE_ACCOUNT",
  "KEY_ACCOUNT"
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

endpoint
enum<string>
required
Available options:
mno,
optionalAttributes,
usecase,
vertical,
altBusinessIdType,
brandIdentityStatus,
brandRelationship,
campaignStatus,
entityType,
extVettingProvider,
vettingStatus,
brandStatus,
operationStatus,
approvedPublicCompany,
stockExchange,
vettingClass

Response

Successful Response

Example:
[
"BASIC_ACCOUNT",
"SMALL_ACCOUNT",
"MEDIUM_ACCOUNT",
"LARGE_ACCOUNT",
"KEY_ACCOUNT"
]